cmake_minimum_required(VERSION 3.21)
include($ENV{XMOS_CMAKE_PATH}/xcommon.cmake)
project(app_an02019)

set(APP_HW_TARGET xk-audio-316-mc.xn)

set(APP_DEPENDENT_MODULES   "lib_board_support(1.5.0)"
                            "lib_xua(5.5.0)")

set(APP_PCA_ENABLE ON)

set(APP_COMMON_BUILD_FLAGS                      -fcomment-asm
                                                -O3
                                                -report
                                                -lquadflash
                                                -g
                                                -fxscope
                                                -DBOARD_SUPPORT_BOARD=XK_AUDIO_316_MC_AB
                                                )

set(APP_COMPILER_FLAGS_factory                  ${APP_COMMON_BUILD_FLAGS}
                                                -DBCD_DEVICE=0x1000)

set(APP_COMPILER_FLAGS_upgrade                  ${APP_COMMON_BUILD_FLAGS}
                                                -DBCD_DEVICE=0x9901)

set(APP_INCLUDES src src/core src/extensions)
set(XMOS_SANDBOX_DIR ${CMAKE_CURRENT_LIST_DIR}/../..)

XMOS_REGISTER_APP()
